Loading...
Searching...
No Matches
pcl::io::IRImage Class Reference

Class containing just a reference to IR meta data. More...

`#include <pcl/io/image_ir.h>`

## Public Types

using | Ptr = shared_ptr< IRImage >
using | ConstPtr = shared_ptr< const IRImage >
using | Clock = std::chrono::high_resolution_clock
using | Timestamp = std::chrono::high_resolution_clock::time_point

## Public Member Functions

| IRImage (FrameWrapper::Ptr ir_metadata)
| IRImage (FrameWrapper::Ptr ir_metadata, Timestamp time)
| ~IRImage () noexcept=default
void | fillRaw (unsigned width, unsigned height, unsigned short *ir_buffer, unsigned line_step=0) const
unsigned | getWidth () const
unsigned | getHeight () const
unsigned | getFrameID () const
std::uint64_t | getTimestamp () const
Timestamp | getSystemTimestamp () const
const unsigned short * | getData ()
int | getDataSize () const
unsigned | getStep () const
const FrameWrapper::Ptr | getMetaData () const
| method to access the internal data structure wrapper, which needs to be cast to an approperate subclass before the getMetadata(..) function is available to access the native data type.

## Protected Attributes

FrameWrapper::Ptr | wrapper_
Timestamp | timestamp_

## Detailed Description

Class containing just a reference to IR meta data.

Definition at line 54 of file image_ir.h.

## Member Typedef Documentation

## Clock

using pcl::io::IRImage::Clock = std::chrono::high_resolution_clock

Definition at line 60 of file image_ir.h.

## ConstPtr

using pcl::io::IRImage::ConstPtr = shared_ptr<const IRImage>

Definition at line 58 of file image_ir.h.

## Ptr

using pcl::io::IRImage::Ptr = shared_ptr<IRImage>

Definition at line 57 of file image_ir.h.

## Timestamp

using pcl::io::IRImage::Timestamp = std::chrono::high_resolution_clock::time_point

Definition at line 61 of file image_ir.h.

## Constructor & Destructor Documentation

## IRImage() [1/2]

pcl::io::IRImage::IRImage | ( | FrameWrapper::Ptr | ir_metadata | ) |

## IRImage() [2/2]

pcl::io::IRImage::IRImage | ( | FrameWrapper::Ptr | ir_metadata,
|  | Timestamp | time
| ) |  |

## ~IRImage()

pcl::io::IRImage::~IRImage | ( |  | ) |

default noexcept

## Member Function Documentation

## fillRaw()

void pcl::io::IRImage::fillRaw | ( | unsigned | width,
|  | unsigned | height,
|  | unsigned short * | ir_buffer,
|  | unsigned | line_step = `0`
| ) |  | const

## getData()

const unsigned short * pcl::io::IRImage::getData | ( |  | ) |

## getDataSize()

int pcl::io::IRImage::getDataSize | ( |  | ) | const

## getFrameID()

unsigned pcl::io::IRImage::getFrameID | ( |  | ) | const

## getHeight()

unsigned pcl::io::IRImage::getHeight | ( |  | ) | const

## getMetaData()

const FrameWrapper::Ptr pcl::io::IRImage::getMetaData | ( |  | ) | const

method to access the internal data structure wrapper, which needs to be cast to an approperate subclass before the getMetadata(..) function is available to access the native data type.

## getStep()

unsigned pcl::io::IRImage::getStep | ( |  | ) | const

inline

Definition at line 96 of file image_ir.h.

## getSystemTimestamp()

Timestamp pcl::io::IRImage::getSystemTimestamp | ( |  | ) | const

## getTimestamp()

std::uint64_t pcl::io::IRImage::getTimestamp | ( |  | ) | const

## getWidth()

unsigned pcl::io::IRImage::getWidth | ( |  | ) | const

## Member Data Documentation

## timestamp_

Timestamp pcl::io::IRImage::timestamp_

protected

Definition at line 109 of file image_ir.h.

## wrapper_

FrameWrapper::Ptr pcl::io::IRImage::wrapper_

protected

Definition at line 108 of file image_ir.h.

The documentation for this class was generated from the following file:

- pcl/io/image_ir.h